[Bug 191251] Re: [needs-packaging] php5-embed

Nicolas Valcárcel (nxvl) nvalcarcel at ubuntu-pe.org
Tue Aug 26 22:37:12 BST 2008


Ok, thank you for your answer i will test it at night.

On Tue, Aug 26, 2008 at 3:27 AM, Paul <paul.biggar at gmail.com> wrote:
> Hi Nicolas,
>
> There is a presentation here that explains it:
> www.cluesheet.com/lectures/phptek-embedding.pdf.
> There is a more detailed guide to programming with it here: http://phi.lv/?p=376
>
> I guess to test it you would compile and link a program against it.
> Here is a sample program:
>
> http://code.google.com/p/phc/source/browse/trunk/misc/old/tryout.c
>
> Once the package is installed (in /usr/local), you should be able to
> compile it with:
>
> gcc -I/usr/local/include/php -I/usr/local/include/php/main
> -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend
> -L/usr/local/lib -Wl,-R/usr/local/lib -lphp5 tryout.c
>
> I've tested this on Hardy, and it compiles fine. You may need to use
> /usr/include instead of /usr/local/include.
>
>
> Thanks,
> Paul
>
>
> On Wed, Aug 20, 2008 at 10:15 PM, Nicolas Valcárcel (nxvl)
> <nvalcarcel at ubuntu-pe.org> wrote:
>> Can you please give some documentation (a link to) about what is
>> actually embed and/or some tests to check my package please
>>
>> ** Changed in: php5 (Ubuntu)
>>     Assignee: Nicolas Valcárcel (nxvl) (nvalcarcel) => (unassigned)
>>
>> --
>> [needs-packaging] php5-embed
>> https://bugs.launchpad.net/bugs/191251
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>
> --
> Paul Biggar
> paul.biggar at gmail.com
>
> --
> [needs-packaging] php5-embed
> https://bugs.launchpad.net/bugs/191251
> You received this bug notification because you are a member of Ubuntu
> Server Team, which is subscribed to php5 in ubuntu.
>
> --
> Ubuntu-server-bugs mailing list
> Ubuntu-server-bugs at lists.ubuntu.com
> Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-server-bugs
>

-- 
[needs-packaging] php5-embed
https://bugs.launchpad.net/bugs/191251
You received this bug notification because you are a member of Ubuntu
Server Team, which is subscribed to php5 in ubuntu.



More information about the Ubuntu-server-bugs mailing list